Messaging
Azure service bus is used to implement a queue of system events that can be subscribed to by external systems.
#Available from v.3.15.0
Uid of Azure Service Bus connection
OK
Model representing a message queue connection
Unique id of the message queue connection
Title of message queue connection
Url for the message queue to request when triggered
Queue name for the message queue
Url for the blob storage to request when triggered
Activate / deactivate message queue connection
Events this message queue shall act on
Not Found
GET /v1/azureservicebusconnections/{uid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"Uid": "6a76b3e3-8452-47b4-93cc-b678ab63b9d1",
"Title": "Message queue integration",
"ServiceBusConnectionString": "https://someeventhub.com/triggerme",
"QueueName": "",
"BlobContainerConnectionString": "",
"BlobContainerName": "",
"Active": true,
"EnabledEvents": [
"variants:created",
"variants:updated",
"variants:deleted"
],
"AdvancedSettings": {
"variants:updated": {
"ConditionalTriggering": true,
"TriggerOnProductIdUpdates": false,
"TriggerOnVariantGroupIdUpdates": false,
"TriggerOnSortOrderUpdates": false,
"TriggerOnVariantGroupSortOrderUpdates": false,
"TriggerOnArchivingUpdates": false,
"TriggerOnAttributeUpdates": {},
"AttributesToTriggerOn": [],
"DataModelType": {},
"EventSettingsType": "VariantsUpdatedEventArgsAdvancedSettings"
}
}
}Uid of Azure Service Bus connection to delete
OK
No content
DELETE /v1/azureservicebusconnections/{uid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
No content
OK
Model representing a message queue connection
Unique id of the message queue connection
Title of message queue connection
Url for the message queue to request when triggered
Queue name for the message queue
Url for the blob storage to request when triggered
Activate / deactivate message queue connection
Events this message queue shall act on
GET /v1/azureservicebusconnections HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
{
"Uid": "1ba54855-c37b-402a-b799-081e205bb19d",
"Title": "Message queue integration",
"ServiceBusConnectionString": "https://someeventhub.com/triggerme",
"QueueName": "",
"BlobContainerConnectionString": "",
"BlobContainerName": "",
"Active": true,
"EnabledEvents": [
"variants:created",
"variants:updated",
"variants:deleted"
],
"AdvancedSettings": {
"variants:updated": {
"ConditionalTriggering": true,
"TriggerOnProductIdUpdates": false,
"TriggerOnVariantGroupIdUpdates": false,
"TriggerOnSortOrderUpdates": false,
"TriggerOnVariantGroupSortOrderUpdates": false,
"TriggerOnArchivingUpdates": false,
"TriggerOnAttributeUpdates": {},
"AttributesToTriggerOn": [],
"DataModelType": {},
"EventSettingsType": "VariantsUpdatedEventArgsAdvancedSettings"
}
}
},
{
"Uid": "95d4627a-82d3-4c3e-b9fc-e1f6f21938fc",
"Title": "Message queue integration",
"ServiceBusConnectionString": "https://someeventhub.com/triggerme",
"QueueName": "",
"BlobContainerConnectionString": "",
"BlobContainerName": "",
"Active": true,
"EnabledEvents": [
"variants:created",
"variants:updated",
"variants:deleted"
],
"AdvancedSettings": {
"variants:updated": {
"ConditionalTriggering": true,
"TriggerOnProductIdUpdates": false,
"TriggerOnVariantGroupIdUpdates": false,
"TriggerOnSortOrderUpdates": false,
"TriggerOnVariantGroupSortOrderUpdates": false,
"TriggerOnArchivingUpdates": false,
"TriggerOnAttributeUpdates": {},
"AttributesToTriggerOn": [],
"DataModelType": {},
"EventSettingsType": "VariantsUpdatedEventArgsAdvancedSettings"
}
}
}
]Model representing a message queue connection
Unique id of the message queue connection
Title of message queue connection
Url for the message queue to request when triggered
Queue name for the message queue
Url for the blob storage to request when triggered
Activate / deactivate message queue connection
Events this message queue shall act on
OK
No content
POST /v1/azureservicebusconnections HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 708
{
"Uid": "965e382f-6454-452e-b9d3-f6b5174a8095",
"Title": "Message queue integration",
"ServiceBusConnectionString": "https://someeventhub.com/triggerme",
"QueueName": "",
"BlobContainerConnectionString": "",
"BlobContainerName": "",
"Active": true,
"EnabledEvents": [
"variants:created",
"variants:updated",
"variants:deleted"
],
"AdvancedSettings": {
"variants:updated": {
"ConditionalTriggering": true,
"TriggerOnProductIdUpdates": false,
"TriggerOnVariantGroupIdUpdates": false,
"TriggerOnSortOrderUpdates": false,
"TriggerOnVariantGroupSortOrderUpdates": false,
"TriggerOnArchivingUpdates": false,
"TriggerOnAttributeUpdates": {},
"AttributesToTriggerOn": [],
"DataModelType": {},
"EventSettingsType": "VariantsUpdatedEventArgsAdvancedSettings"
}
}
}OK
No content
Model representing a message queue connection
Unique id of the message queue connection
Title of message queue connection
Url for the message queue to request when triggered
Queue name for the message queue
Url for the blob storage to request when triggered
Activate / deactivate message queue connection
Events this message queue shall act on
OK
No content
PUT /v1/azureservicebusconnections HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 708
{
"Uid": "2cd90810-efe0-4725-84ce-614ceaeeb357",
"Title": "Message queue integration",
"ServiceBusConnectionString": "https://someeventhub.com/triggerme",
"QueueName": "",
"BlobContainerConnectionString": "",
"BlobContainerName": "",
"Active": true,
"EnabledEvents": [
"variants:created",
"variants:updated",
"variants:deleted"
],
"AdvancedSettings": {
"variants:updated": {
"ConditionalTriggering": true,
"TriggerOnProductIdUpdates": false,
"TriggerOnVariantGroupIdUpdates": false,
"TriggerOnSortOrderUpdates": false,
"TriggerOnVariantGroupSortOrderUpdates": false,
"TriggerOnArchivingUpdates": false,
"TriggerOnAttributeUpdates": {},
"AttributesToTriggerOn": [],
"DataModelType": {},
"EventSettingsType": "VariantsUpdatedEventArgsAdvancedSettings"
}
}
}OK
No content
Uid of azure service bus connection
return messages newer than this timestamp
Only return failed messages
Page to get (1 is first page)
OK
Model containing response from a message search
Page of the search request
Total number of hits in the search
GET /v1/azureservicebusconnections/{connectionUid}/messages HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"Messages": [
{
"Uid": "715782e7-e7a6-4b81-859b-ba796959e702",
"ConnectionUid": "5a5c53eb-08a7-45cc-819d-0bdc9d12a976",
"EventKey": "products:updated",
"EventTimestamp": "2026-05-19T18:51:56.2046521+00:00",
"RequestTimestamp": "2026-05-19T18:51:56.2146533+00:00",
"MessageBody": "{\"ProductChanges\":[{\"Id\":438,\"UpdatedAttributes\":[\"DisplayOnWebshop\"]}],\"TransactionUid\":\"24c7b1da-4607-4189-9a4b-29556b4eeda3\"}",
"ElapsedMilliseconds": 57,
"RequestMetadata": "",
"Status": {},
"ParentServiceBusMessageUid": "2b729e7f-b21e-40b5-8731-08f95b70155a",
"IsRetry": false
}
],
"Page": 1,
"TotalHits": 1
}Uid of azure service bus connection
Uid of the message
OK
Model representing a message
Unique id of this message
Unique id of the connection that triggered the message
The key of the event that triggered the event
Timestamp of the event that triggered the message
Timestamp of when the message was made
The message body sent in the message
The time in ms it took to get a response from the recipient of the request
Metadata about sending the message
Status of sending the message
1= Success: Success2= Failed: Failed
Uid of parent message (only has value, if this is a retry of a failed message)
Indicates whether this request is a retry of a previously failed request
GET /v1/azureservicebusconnections/{connectionUid}/messages/{messageUid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
OK
[
{
"Uid": "715782e7-e7a6-4b81-859b-ba796959e702",
"ConnectionUid": "5a5c53eb-08a7-45cc-819d-0bdc9d12a976",
"EventKey": "products:updated",
"EventTimestamp": "2026-05-19T18:51:56.2049633+00:00",
"RequestTimestamp": "2026-05-19T18:51:56.2149640+00:00",
"MessageBody": "{\"ProductChanges\":[{\"Id\":438,\"UpdatedAttributes\":[\"DisplayOnWebshop\"]}],\"TransactionUid\":\"24c7b1da-4607-4189-9a4b-29556b4eeda3\"}",
"ElapsedMilliseconds": 57,
"RequestMetadata": "",
"Status": {},
"ParentServiceBusMessageUid": "92e0f840-8c0b-4be5-ab5d-23ef634d68bc",
"IsRetry": false
}
]Last updated